/**
 * DO NOT EDIT THIS FILE.
 * See the following change record for more information,
 * https://www.drupal.org/node/2815083
 * @preserve
 * */

(function ($, once, Drupal) {
  Drupal.behaviors.plotlyjs = {
    attach: function attach(context, settings) {
      $.each(settings.plotlyjs, function (key, graph) {
        $(once('generate-plotly', `#${graph.unique_id}`, context)).each(
          function () {
            if (
              typeof graph.mapbox_access_token !== 'undefined' &&
              graph.mapbox_access_token !== ''
            ) {
              // eslint-disable-next-line no-undef
              Plotly.setPlotConfig({
                mapboxAccessToken: graph.mapbox_access_token,
              });
            }
            // eslint-disable-next-line no-undef
            Plotly.newPlot(graph.unique_id, graph.series, graph.layout, {
              responsive: graph.layout.responsive,
            });
          },
        );
      });
    },
  };
})(jQuery, once, Drupal);
